+ Responder ao Tópico



  1. #1
    Visitante

    Padrão make erro

    tlspasswordcache.c:9:25: openssl/ssl.h: Arquivo ou diretório não encontrado
    tlspasswordcache.c:10:25: openssl/err.h: Arquivo ou diretório não encontrado
    tlspasswordcache.c:11:26: openssl/rand.h: Arquivo ou diretório não encontrado
    make[3]: ** [tlspasswordcache.o] Erro 1
    make[3]: Leaving directory `/home/arquivos/courier-imap-4.0.1/tcpd'
    make[2]: ** [all] Erro 2
    make[2]: Leaving directory `/home/arquivos/courier-imap-4.0.1/tcpd'
    make[1]: ** [all-recursive] Erro 1
    make[1]: Leaving directory `/home/arquivos/courier-imap-4.0.1'
    make: ** [all] Erro 2
    este é meu erro que esta dando qdo compilo o pacote courier-imap
    como user comum e detalhe o openssl esta na versão 10 no meu linux

  2. #2

    Padrão make erro

    q distro vc tah usando??

    []'s



  3. #3
    Visitante

    Padrão make erro

    conectiva 10

  4. #4
    felco
    Visitante

    Padrão Re: make erro

    como user comum e detalhe o openssl esta na versão 10 no meu linux
    vc nao pode compilar como user comun tem que compilar como root



  5. #5

    Padrão make erro

    quando vc rodo o ./configure ele foi ateh o final ou deu erro?? pq ele nem devia passar do configure ja q ta faltando o pacote do openssl....otra coisa...seria uma boa vc falar o q ta tentando instalar e tbm qual a versao... :wink:

  6. #6
    Visitante

    Padrão make erro

    Citação Postado originalmente por SDM
    quando vc rodo o ./configure ele foi ateh o final ou deu erro?? pq ele nem devia passar do configure ja q ta faltando o pacote do openssl....otra coisa...seria uma boa vc falar o q ta tentando instalar e tbm qual a versao... :wink:
    estou tentando instalar o courier-imap, segundo os tutoriais que pegeui pela net ele tem que ser pre compilado com user comum e depois como root. e em questão o ./configure passou blz, mas qdo dou make ele me da este erro no final e para o processo.



  7. #7

    Padrão make erro

    ah tah....entao procura pelo pacote de desenvolvimento do OpenSSL que deve te ajudar....o nome do pacote deve ser mais ou menos assim "openssl-devel-xxxxxx"

  8. #8
    Visitante

    Padrão make erro

    pois é ele ja ta instalado, colega, por isto não sei o motivo de estar dando este erro



  9. #9

    Padrão make erro

    posta o resultado de um "ls -l /usr/include/openssl"

  10. #10

    Padrão make erro

    no './configure' deve t uma opçaum q seja algo tipo --with-openssl-libs='caminho' e --with-openssl-includes='caminho'...

    ja tento especifica o caminho para essas opções!!?

    pode c algo no tipu....

    --with-openssl-libs=/usr/lib/openssl
    --with-openssl-includes=/usr/includes/openssl

    da ai um whereis openssl

    falo!!!